Package org.codehaus.commons.compiler.java8.java.util.stream

# Class Stream<T>

java.lang.Object
org.codehaus.commons.compiler.java8.java.util.stream.Stream<T>

Type Parameters:
  `T` -

public class Stream<T> extends Object
Pre-Java-8-compatible facade for Java 8's `java.util.stream.Stream` class.

## Constructor Summary

Constructors
Constructor
Description
`Stream(Object delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`forEach(Consumer<? super T> action)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stream

public Stream(Object delegate)

## Method Details

### forEach

public void forEach(Consumer<? super T> action)